Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationMaterial Class Reference

変換マテリアル More...

`#include <TranslationMaterial.h>`

Inheritance diagram for LampForMaya::TranslationMaterial:

List of all members.

## Public Member Functions
virtual | ~TranslationMaterial ()
| デストラクタ
virtual bool | analyze ()=0
| 分析
virtual bool | convertToLamp (Scene *scene)=0
| Lampへの変換.
virtual bool | isBasicMaterial () const
| 基本マテリアルかどうか
virtual TranslationBasicMaterial * | castBasicMaterial () const
| 基本マテリアルへのキャスト
## Protected Member Functions
| TranslationMaterial (const MObject &initializeObject, const String &initializeName)
| コンストラクタ
virtual bool | analyzeMaterial ()
| マテリアルの分析
virtual bool | convertMaterial (Material *material)
| マテリアルのコンバート
## Protected Attributes
MObject | object_
| オブジェクト
String | name_
| 名前
int | blendMode_
| ブレンドモード
float | alpha_
| アルファ
int | blendSource_
| ブレンドソース
int | blendDestination_
| ブレンドデスティネーション
bool | zWrite_
| Z書き込み.
bool | zTestlag_
| Zテスト.
int | fogOption_
| フォグオプション
u_int | lightMask_
| ライトマスク
int | priority_
| 優先度
## Friends
class | TranslationMaterialManager

## Detailed Description

変換マテリアル

Definition at line 41 of file TranslationMaterial.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationMaterial::TranslationMaterial | ( | const MObject & | initializeObject,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializeObject | 初期化するオブジェクト
  initializeName | 初期化する名前
Definition at line 33 of file TranslationMaterial.cpp.

## Member Function Documentation

virtual bool LampForMaya::TranslationMaterial::analyze | ( |  | ) | `[pure virtual]`

| 分析 Returns: 成功すればtrue Implemented in LampForMaya::TranslationBasicMaterial. Referenced by LampForMaya::TranslationMaterialManager::analysisMaterial().

bool LampForMaya::TranslationMaterial::analyzeMaterial | ( |  | ) | `[protected, virtual]`

| マテリアルの分析 Returns: 成功すればtrue Definition at line 43 of file TranslationMaterial.cpp. References alpha_, blendDestination_, blendMode_, blendSource_, fogOption_, lightMask_, object_, priority_, zTestlag_, and zWrite_. Referenced by LampForMaya::TranslationBasicMaterial::analyze().

virtual TranslationBasicMaterial* LampForMaya::TranslationMaterial::castBasicMaterial | ( |  | ) | const`[inline, virtual]`

| 基本マテリアルへのキャスト Returns: 基本マテリアル。型が違えばNULLを返す。 Definition at line 75 of file TranslationMaterial.h. References isBasicMaterial().

bool LampForMaya::TranslationMaterial::convertMaterial | ( | Material * | material | ) | `[protected, virtual]`

  | マテリアルのコンバート Parameters:
  material | マテリアル
Returns: 成功すればtrue Definition at line 67 of file TranslationMaterial.cpp. References alpha_, blendDestination_, blendMode_, blendSource_, fogOption_, lightMask_, priority_, zTestlag_, and zWrite_. Referenced by LampForMaya::TranslationBasicMaterial::convertToLamp().

virtual bool LampForMaya::TranslationMaterial::convertToLamp | ( | Scene * | scene | ) | `[pure virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implemented in LampForMaya::TranslationBasicMaterial. Referenced by LampForMaya::TranslationMaterialManager::convertToLamp().

virtual bool LampForMaya::TranslationMaterial::isBasicMaterial | ( |  | ) | const`[inline, virtual]`

| 基本マテリアルかどうか Returns: 基本マテリアルならtrue Reimplemented in LampForMaya::TranslationBasicMaterial. Definition at line 69 of file TranslationMaterial.h. Referenced by castBasicMaterial().

The documentation for this class was generated from the following files:

- TranslationMaterial.h
- TranslationMaterial.cpp